> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all entitlement periods

> Fetch the list of all the entitlement periods from all uploaded entitlements licenses.



## OpenAPI

````yaml /api-reference/5.9/fusion-api-apps-manager.json get /entitlements/periods
openapi: 3.0.1
info:
  title: Fusion Apps Manager API
  description: API for the Apps Manager service for Lucidworks Fusion.
  contact:
    name: Lucidworks
    url: www.lucidworks.com
    email: support@lucidworks.com
  license:
    name: License of API
    url: https://lucidworks.com/legal/developer-license-agreement/
  version: '5.9'
servers:
  - url: FUSION_HOST/apps-manager
security: []
tags:
  - name: Entitlements consumption API
    description: Endpoints to get entitlements-related information.
  - name: Entitlements consumption records API
    description: Endpoints for calculating the records consumption.
  - name: Entitlements consumption report API
    description: Endpoints to generate consumption reports.
  - name: Entitlements consumption requests API
    description: Endpoints for calculating the requests consumption.
  - name: Fusion license API
    description: Endpoints to retrieve and replace Fusion licenses.
externalDocs:
  description: Lucidworks Documentation
  url: https://doc.lucidworks.com/
paths:
  /entitlements/periods:
    get:
      tags:
        - Entitlements consumption API
      summary: List all entitlement periods
      description: >-
        Fetch the list of all the entitlement periods from all uploaded
        entitlements licenses.
      operationId: listEntitlementPeriods
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseEntitlementPeriodInfo'
                example:
                  - licenseId: '1698256262000'
                    periodIndex: 0
                    startDate: '2022-12-23'
                    endDate: '2023-12-23'
                    licenseUploadTime: 1698256262000
                    currentContractYear: false
                  - licenseId: '1698256262000'
                    periodIndex: 1
                    startDate: '2023-12-23'
                    endDate: '2024-12-23'
                    licenseUploadTime: 1698256262000
                    currentContractYear: true
                  - licenseId: '1698256262000'
                    periodIndex: 2
                    startDate: '2024-12-23'
                    endDate: '2025-12-23'
                    licenseUploadTime: 1698256262000
                    currentContractYear: false
components:
  schemas:
    ResponseEntitlementPeriodInfo:
      type: object
      properties:
        licenseId:
          type: string
        periodIndex:
          type: integer
          format: int32
        startDate:
          type: string
        endDate:
          type: string
        licenseUploadTime:
          type: integer
          format: int64
        isCurrentContractYear:
          type: boolean
          writeOnly: true
        currentContractYear:
          type: boolean

````